View Issue Details

IDProjectCategoryView StatusLast Update
0022789mantisbtapi restpublic2018-01-03 04:18
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.3.1 
Target Version2.10.0Fixed in Version2.10.0 
Summary0022789: Support retrieving user defined filters
Description

It is needed to retrieve filters available for the logged in user. This is useful to provide the appropriate filter ids to retrieve matching issues, and to enable the user to select filter to use when applicable.

Another related improvement is to enable retrieval of issues to use filter name and not just id.

TagsNo tags attached.

Relationships

related to 0022790 closedvboctor Support standard filters defined by the system when retrieving issues 
related to 0023765 closedatrol Wrong constructor name in class FilterConverter 
child of 0022787 new Support CRUD operations for user defined filters 

Activities

Related Changesets

MantisBT: master 5926e097

2017-12-01 22:11:08

vboctor

Details Diff
Support getting filters for logged in user

- `/api/rest/filters` returns all filters available for user across all projects.
- `/api/rest/filters?project_id=1` returns all filters available for user for all projects and specific project.

Project id can be 0 for "All Projects" or the id of a specific project.
If project id is not specified, all filters for accessible projects are returned.

Filters available to users include ones created by them or created by others and marked as public.

Fixes 0022789
Affected Issues
0022789
mod - api/rest/index.php Diff File
add - api/rest/restcore/filters_rest.php Diff File
mod - api/soap/mc_api.php Diff File
mod - api/soap/mc_filter_api.php Diff File
mod - api/soap/mc_project_api.php Diff File
mod - core/filter_api.php Diff File

MantisBT: master 13b9aefa

2017-12-03 02:25:14

vboctor

Details Diff
Support getting filter criteria and filter by id

- Support getting a filter by id
- Support getting filter criteria

Fixes 0022789
Affected Issues
0022789
mod - api/rest/restcore/filters_rest.php Diff File
mod - api/soap/mc_filter_api.php Diff File
add - core/classes/FilterConverter.class.php Diff File
mod - core/filter_api.php Diff File
mod - core/relationship_api.php Diff File

Issue History

Date Modified Username Field Change
2017-04-23 18:50 vboctor New Issue
2017-04-23 18:51 vboctor Relationship added related to 0022787
2017-07-23 15:21 vboctor Summary Support retrieving user defined features => Support retrieving user defined filters
2017-10-29 01:53 vboctor Relationship added related to 0022790
2017-12-02 04:00 vboctor Assigned To => vboctor
2017-12-02 04:00 vboctor Status new => assigned
2017-12-02 04:00 vboctor Note Added: 0058301
2017-12-02 04:01 vboctor Relationship replaced child of 0022787
2017-12-23 00:44 vboctor Changeset attached => MantisBT master 5926e097
2017-12-23 00:44 vboctor Changeset attached => MantisBT master 13b9aefa
2017-12-23 00:44 vboctor Status assigned => resolved
2017-12-23 00:44 vboctor Resolution open => fixed
2017-12-23 00:44 vboctor Fixed in Version => 2.10.0
2017-12-23 04:31 atrol Target Version => 2.10.0
2017-12-30 18:36 vboctor Status resolved => closed
2018-01-03 04:18 atrol Relationship added related to 0023765